VERSION 5.00
Begin VB.Form frmPreview 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   2610
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   2535
   Icon            =   "Preview.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2610
   ScaleWidth      =   2535
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdLast 
      Appearance      =   0  'Flat
      DisabledPicture =   "Preview.frx":058A
      DownPicture     =   "Preview.frx":0C8E
      Height          =   450
      Left            =   1920
      MaskColor       =   &H00FF00FF&
      Picture         =   "Preview.frx":1392
      Style           =   1  'Graphical
      TabIndex        =   1
      Top             =   2040
      UseMaskColor    =   -1  'True
      Visible         =   0   'False
      Width           =   510
   End
   Begin VB.CommandButton cmdNext 
      Appearance      =   0  'Flat
      Default         =   -1  'True
      DisabledPicture =   "Preview.frx":1A96
      DownPicture     =   "Preview.frx":219A
      Height          =   450
      Left            =   1320
      MaskColor       =   &H00FF00FF&
      Picture         =   "Preview.frx":289E
      Style           =   1  'Graphical
      TabIndex        =   0
      Top             =   2040
      UseMaskColor    =   -1  'True
      Visible         =   0   'False
      Width           =   510
   End
   Begin VB.CommandButton cmdPrevious 
      Appearance      =   0  'Flat
      DisabledPicture =   "Preview.frx":2FA2
      DownPicture     =   "Preview.frx":36A6
      Height          =   450
      Left            =   720
      MaskColor       =   &H00FF00FF&
      Picture         =   "Preview.frx":3DAA
      Style           =   1  'Graphical
      TabIndex        =   3
      Top             =   2040
      UseMaskColor    =   -1  'True
      Visible         =   0   'False
      Width           =   510
   End
   Begin VB.CommandButton cmdFirst 
      Appearance      =   0  'Flat
      DisabledPicture =   "Preview.frx":44AE
      DownPicture     =   "Preview.frx":4BB2
      Height          =   450
      Left            =   120
      MaskColor       =   &H00FF00FF&
      Picture         =   "Preview.frx":52B6
      Style           =   1  'Graphical
      TabIndex        =   2
      Top             =   2040
      UseMaskColor    =   -1  'True
      Visible         =   0   'False
      Width           =   510
   End
   Begin VB.PictureBox frmPage 
      Appearance      =   0  'Flat
      AutoRedraw      =   -1  'True
      BackColor       =   &H00C0C0C0&
      Enabled         =   0   'False
      ForeColor       =   &H80000008&
      Height          =   1815
      Left            =   120
      ScaleHeight     =   1785
      ScaleWidth      =   2265
      TabIndex        =   4
      Top             =   120
      Visible         =   0   'False
      Width           =   2295
      Begin VB.Image jpgFG 
         Height          =   1575
         Left            =   1200
         Stretch         =   -1  'True
         Top             =   120
         Visible         =   0   'False
         Width           =   975
      End
      Begin Pixbook.ucAniGIF gifFG 
         Height          =   1575
         Left            =   120
         Top             =   120
         Visible         =   0   'False
         Width           =   975
         _ExtentX        =   1720
         _ExtentY        =   2778
         GIF             =   "Preview.frx":59BA
         Stretch         =   2
         DelayLoad       =   2
         Enabled         =   0   'False
      End
   End
End
Attribute VB_Name = "frmPreview"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private iCurPg       As Integer
Private iLayouts     As Integer
Private sThemeString As String

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  sThemeString = GetFromINI("frmPreview", "sThemeString")
  
  Dim fso As New FileSystemObject
  
  iLayouts = fso.GetFolder(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & FG_MAP & Left(sTheme, InStr(sTheme, "_") - 1) & "\" & Right(sTheme, Len(sTheme) - InStr(sTheme, "_"))).Files.Count
  Set fso = Nothing
  iCurPg = 1
  
  If sPageType = "POSTERP" Then
  
    frmPage.Width = A3P_WIDTH_MM * iTwX
    frmPage.Height = A3P_HEIGHT_MM * iTwY
    
  ElseIf sPageType = "PLACE" Or sPageType = "POSTER" Then
  
    frmPage.Width = A3_WIDTH_MM * iTwX
    frmPage.Height = A3_HEIGHT_MM * iTwY
    
  ElseIf InStr(sPageType, "CRD") Then
  
    If Right(sPageType, 1) = "1" Then
    
      frmPage.Width = 2 * CRD1_WIDTH_MM * iTwX
      frmPage.Height = 2 * CRD1_HEIGHT_MM * iTwY
      
    ElseIf Right(sPageType, 1) = "2" Then
    
      frmPage.Width = 2 * CRD2_WIDTH_MM * iTwX
      frmPage.Height = 2 * CRD2_HEIGHT_MM * iTwY
      
    ElseIf Right(sPageType, 1) = "3" Then
    
      frmPage.Width = 2 * CRD3_WIDTH_MM * iTwX
      frmPage.Height = 2 * CRD3_HEIGHT_MM * iTwY
      
    ElseIf Right(sPageType, 1) = "7" Then
    
      frmPage.Width = 2 * CRD7_WIDTH_MM * iTwX
      frmPage.Height = 2 * CRD7_HEIGHT_MM * iTwY
      
    ElseIf Right(sPageType, 1) = "8" Then
    
      frmPage.Width = 2 * CRD8_WIDTH_MM * iTwX
      frmPage.Height = 2 * CRD8_HEIGHT_MM * iTwY
      
    ElseIf Right(sPageType, 1) = "9" Then
    
      frmPage.Width = 2 * CRD9_WIDTH_MM * iTwX
      frmPage.Height = 2 * CRD9_HEIGHT_MM * iTwY
      
    End If
    
  ElseIf sPageType = "KAL" Then
  
    frmPage.Width = 2 * A5_WIDTH_MM * iTwX
    frmPage.Height = 2 * A5_HEIGHT_MM * iTwY
    
  ElseIf InStr(sNewSize, "LUX") Then
  
    frmPage.Width = LUX_WIDTH_MM * iTwX
    frmPage.Height = LUX_HEIGHT_MM * iTwY
    
  Else
  
    frmPage.Width = A3_WIDTH_MM * iTwX
    frmPage.Height = A3_HEIGHT_MM * iTwY
    
  End If
  
  Me.Width = frmPage.Width + 2 * frmPage.Left + Me.Width - Me.ScaleWidth
  Me.Height = frmPage.Height + 3 * frmPage.Top + cmdFirst.Height + Me.Height - Me.ScaleHeight
  MoveObject gifFG, 0, 0, frmPage.ScaleWidth, frmPage.ScaleHeight
  MoveObject jpgFG, 0, 0, frmPage.ScaleWidth, frmPage.ScaleHeight
  LoadPage iCurPg
  cmdFirst.Top = 2 * frmPage.Top + frmPage.Height
  cmdPrevious.Top = cmdFirst.Top
  cmdNext.Top = cmdFirst.Top
  cmdLast.Top = cmdFirst.Top
  cmdFirst.Left = frmPage.Left + frmPage.Width / 2 - 2 * cmdFirst.Width - 3 / 2 * frmPage.Left
  cmdPrevious.Left = cmdFirst.Left + cmdFirst.Width + frmPage.Left
  cmdNext.Left = cmdPrevious.Left + cmdFirst.Width + frmPage.Left
  cmdLast.Left = cmdNext.Left + cmdFirst.Width + frmPage.Left
  cmdFirst.Visible = True
  cmdPrevious.Visible = True
  cmdNext.Visible = True
  cmdLast.Visible = True
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmPreview:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub cmdFirst_Click()

  On Error GoTo Error_Handler
  If iCurPg = 1 Then Exit Sub
  iCurPg = 1
  LoadPage iCurPg
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmPreview:cmdFirst_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdPrevious_Click()

  On Error GoTo Error_Handler
  If iCurPg = 1 Then Exit Sub
  iCurPg = iCurPg - 1
  LoadPage iCurPg
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmPreview:cmdPrevious_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdNext_Click()

  On Error GoTo Error_Handler
  If iCurPg = iLayouts Then Exit Sub
  iCurPg = iCurPg + 1
  LoadPage iCurPg
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmPreview:cmdNext_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdLast_Click()

  On Error GoTo Error_Handler
  If iCurPg = iLayouts Then Exit Sub
  iCurPg = iLayouts
  LoadPage iCurPg
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmPreview:cmdLast_Click", Erl
  Resume Next
  
End Sub

Private Sub LoadPage(ByVal iIndex As Integer)

  On Error GoTo Error_Handler
  Busy
  frmPage.Visible = False
  gifFG.Visible = False
  jpgFG.Visible = False
  
  Dim fso As New FileSystemObject
  
  If fso.FileExists(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & FG_MAP & Left(sTheme, InStr(sTheme, "_") - 1) & "\" & Right(sTheme, Len(sTheme) - InStr(sTheme, "_")) & "\" & IIf(iCurPg < 10, "0", vbNullString) & iCurPg & ".jpg") Then
  
    jpgFG.Picture = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & FG_MAP & Left(sTheme, InStr(sTheme, "_") - 1) & "\" & Right(sTheme, Len(sTheme) - InStr(sTheme, "_")) & "\" & IIf(iCurPg < 10, "0", vbNullString) & iCurPg & ".jpg")
    jpgFG.Visible = True
    
  Else
  
    gifFG.LoadAnimatedGIF_File (App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & FG_MAP & Left(sTheme, InStr(sTheme, "_") - 1) & "\" & Right(sTheme, Len(sTheme) - InStr(sTheme, "_")) & "\" & IIf(iCurPg < 10, "0", vbNullString) & iCurPg & ".gif")
    gifFG.Visible = True
    
  End If
  
  Set fso = Nothing
  frmPage.Visible = True
  NotBusy
  Me.Caption = sThemeString & ": " & sThemeCaption & " (" & iCurPg & "/" & iLayouts & ")"
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmPreview:LoadPage", Erl
  Resume Next
  
End Sub

Private Sub Busy()

  On Error GoTo Error_Handler
  Screen.MousePointer = vbHourglass
  cmdFirst.Enabled = False
  cmdPrevious.Enabled = False
  cmdNext.Enabled = False
  cmdLast.Enabled = False
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmPreview:Busy", Erl
  Resume Next
  
End Sub

Private Sub NotBusy()

  On Error GoTo Error_Handler
  cmdFirst.Enabled = True
  cmdPrevious.Enabled = True
  cmdNext.Enabled = True
  cmdLast.Enabled = True
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmPreview:NotBusy", Erl
  Resume Next
  
End Sub
