VERSION 5.00
Object = "{F9043C88-F6F2-101A-A3C9-08002B2F49FB}#1.2#0"; "Comdlg32.ocx"
Begin VB.Form frmCopyPages 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   3255
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3735
   Icon            =   "CopyPages.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   3255
   ScaleWidth      =   3735
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.TextBox txtOtherAlbum 
      Enabled         =   0   'False
      Height          =   285
      Left            =   120
      TabIndex        =   2
      Top             =   1560
      Width           =   3495
   End
   Begin VB.CommandButton cmdBrowse 
      Height          =   300
      Left            =   120
      TabIndex        =   1
      Top             =   1200
      Width           =   1695
   End
   Begin VB.TextBox txtDestination 
      Height          =   285
      Left            =   2880
      TabIndex        =   3
      Top             =   2160
      Width           =   735
   End
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   4
      Top             =   2760
      Width           =   1695
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   1920
      TabIndex        =   5
      Top             =   2760
      Width           =   1695
   End
   Begin VB.TextBox txtSource 
      Height          =   285
      Left            =   2880
      TabIndex        =   0
      Top             =   240
      Width           =   735
   End
   Begin MSComDlg.CommonDialog CD1 
      Left            =   1680
      Top             =   3000
      _ExtentX        =   847
      _ExtentY        =   847
      _Version        =   393216
   End
   Begin VB.Label lblBrowse 
      Height          =   495
      Left            =   120
      TabIndex        =   8
      Top             =   720
      Width           =   3495
   End
   Begin VB.Label lblDestination 
      Height          =   615
      Left            =   120
      TabIndex        =   7
      Top             =   2040
      Width           =   2655
   End
   Begin VB.Label lblSource 
      Height          =   495
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   2655
   End
End
Attribute VB_Name = "frmCopyPages"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'***************
'* Local vars: *
'***************

Private oDOMOtherAlbum As New MSXML.DOMDocument 'The DOM document which contains the XML of the other album (where the copy has to come)

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  
  If sCover = "SP" And InStr(sSize, "_2") Then
  
    Me.Caption = frmCopyPages_Caption_Spread
    lblSource.Caption = frmCopyPages_lblSource_Caption_Spread
    lblDestination.Caption = frmCopyPages_lblDestination_Caption_Spread
    
  Else
  
    Me.Caption = frmCopyPages_Caption
    lblSource.Caption = frmCopyPages_lblSource_Caption
    lblDestination.Caption = frmCopyPages_lblDestination_Caption
    
  End If
  
  lblBrowse.Caption = frmCopyPages_lblBrowse_Caption
  cmdBrowse.Caption = frmCopyPages_cmdBrowse_Caption
  cmdOK.Caption = frmCopyPages_cmdOK_Caption
  cmdCancel.Caption = frmCopyPages_cmdCancel_Caption
  
  If iPage > 0 Then
  
    txtSource.Text = iPage
    txtDestination.TabIndex = 0
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCopyPages:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub Form_Unload(Cancel As Integer)

  On Error GoTo Error_Handler
  Set oDOMOtherAlbum = Nothing
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCopyPages:Form_Unload", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdBrowse_Click()

  On Error GoTo Error_Handler
  CD1.FileName = vbNullString
  CD1.DialogTitle = GetFromINI("frmPixbook", "Open")
  
  If txtOtherAlbum.Text = vbNullString Then
  
    CD1.InitDir = sMyAlbums
    
  Else
  
    CD1.InitDir = txtOtherAlbum.Text
    
  End If
  
  CD1.Filter = "Album Markup Files (*.aml)|*.aml"
  CD1.ShowOpen
  
  If CD1.FileName = vbNullString Then
  
    txtOtherAlbum.Text = vbNullString
    
  Else
  
    txtOtherAlbum.Text = CD1.FileName
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmSettings:cmdBrowse_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCopyPages:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  
  'Check content of txtOtherAlbum.Text:
  If txtOtherAlbum.Text = sMyAlbums & sAlbName & "\" & sAlbName & ".aml" Then txtOtherAlbum.Text = vbNullString
  
  'Check form of txtSource & txtDestination texts:
  
  If IsDigit(txtSource.Text) = False Then
  
    If InStr(txtSource.Text, "-") = 0 Then
    
      If sCover = "SP" And InStr(sSize, "_2") Then
      
        MsgBox GetFromINI("frmCopyPages", "CopyPages1Spread"), vbCritical, sAppName
        
      Else
      
        MsgBox GetFromINI("frmCopyPages", "CopyPages1"), vbCritical, sAppName
        
      End If
      
      txtSource.SetFocus
      txtSource.SelStart = 0
      txtSource.SelLength = Len(txtSource.Text)
      Exit Sub
      
    Else
    
      If IsDigit(Left(txtSource.Text, InStr(txtSource.Text, "-") - 1)) = False Or IsDigit(mid(txtSource.Text, InStr(txtSource.Text, "-") + 1)) = False Then
      
        If sCover = "SP" And InStr(sSize, "_2") Then
        
          MsgBox GetFromINI("frmCopyPages", "CopyPages1Spread"), vbCritical, sAppName
          
        Else
        
          MsgBox GetFromINI("frmCopyPages", "CopyPages1"), vbCritical, sAppName
          
        End If
        
        txtSource.SetFocus
        txtSource.SelStart = 0
        txtSource.SelLength = Len(txtSource.Text)
        Exit Sub
        
      End If
      
    End If
    
  End If
    
  If IsDigit(txtDestination.Text) = False Then
  
    If sCover = "SP" And InStr(sSize, "_2") Then
    
      MsgBox GetFromINI("frmCopyPages", "CopyPages2Spread"), vbCritical, sAppName
      
    Else
    
      MsgBox GetFromINI("frmCopyPages", "CopyPages2"), vbCritical, sAppName
      
    End If
    
    txtDestination.SetFocus
    txtDestination.SelStart = 0
    txtDestination.SelLength = Len(txtDestination.Text)
    Exit Sub
    
  End If
  
  'Check content of txtSource.Text:
  
  If IsDigit(txtSource.Text) Then 'One page
  
    If CInt(txtSource.Text) < 1 Or CInt(txtSource.Text) > oDOMAlbum.documentElement.childNodes.Length Then
    
      If sCover = "SP" And InStr(sSize, "_2") Then
      
        MsgBox GetFromINI("frmCopyPages", "CopyPages3Spread") & " " & oDOMAlbum.documentElement.childNodes.Length & ".", vbCritical, sAppName
      
      Else
      
        MsgBox GetFromINI("frmCopyPages", "CopyPages3") & " " & oDOMAlbum.documentElement.childNodes.Length & ".", vbCritical, sAppName
        
      End If
      
      txtSource.SetFocus
      txtSource.SelStart = 0
      txtSource.SelLength = Len(txtSource.Text)
      Exit Sub
      
    End If
    
  Else 'Multiple pages
  
    If CInt(Left(txtSource.Text, InStr(txtSource.Text, "-") - 1)) < 1 Or CInt(Left(txtSource.Text, InStr(txtSource.Text, "-") - 1)) > oDOMAlbum.documentElement.childNodes.Length Or CInt(mid(txtSource.Text, InStr(txtSource.Text, "-") + 1)) < 1 Or CInt(mid(txtSource.Text, InStr(txtSource.Text, "-") + 1)) > oDOMAlbum.documentElement.childNodes.Length Then
    
      If sCover = "SP" And InStr(sSize, "_2") Then
      
        MsgBox GetFromINI("frmCopyPages", "CopyPages4Spread") & " " & oDOMAlbum.documentElement.childNodes.Length & ".", vbCritical, sAppName
        
      Else
      
        MsgBox GetFromINI("frmCopyPages", "CopyPages4") & " " & oDOMAlbum.documentElement.childNodes.Length & ".", vbCritical, sAppName
        
      End If
      
      txtSource.SetFocus
      txtSource.SelStart = 0
      txtSource.SelLength = Len(txtSource.Text)
      Exit Sub
      
    End If
    
  End If
  
  'Check content of txtDestination.Text:
  
  If txtOtherAlbum.Text = vbNullString Then
  
    If CInt(txtDestination.Text) < 1 Or CInt(txtDestination.Text) > oDOMAlbum.documentElement.childNodes.Length Then
    
      If sCover = "SP" And InStr(sSize, "_2") Then
      
        MsgBox GetFromINI("frmCopyPages", "CopyPages5Spread") & " " & oDOMAlbum.documentElement.childNodes.Length & ".", vbCritical, sAppName
        
      Else
      
        MsgBox GetFromINI("frmCopyPages", "CopyPages5") & " " & oDOMAlbum.documentElement.childNodes.Length & ".", vbCritical, sAppName
        
      End If
      
      txtDestination.SetFocus
      txtDestination.SelStart = 0
      txtDestination.SelLength = Len(txtDestination.Text)
      Exit Sub
      
    ElseIf IsDigit(txtSource.Text) Then 'One page
    
      If CInt(txtDestination.Text) = CInt(txtSource.Text) Then
      
        If sCover = "SP" And InStr(sSize, "_2") Then
        
          MsgBox GetFromINI("frmCopyPages", "CopyPages6Spread"), vbCritical, sAppName
          
        Else
        
          MsgBox GetFromINI("frmCopyPages", "CopyPages6"), vbCritical, sAppName
          
        End If
        
        txtDestination.SetFocus
        txtDestination.SelStart = 0
        txtDestination.SelLength = Len(txtDestination.Text)
        Exit Sub
        
      End If
      
    End If
    
  Else
  
    If DOMLoad(oDOMOtherAlbum, txtOtherAlbum.Text) Then
    
      If CInt(txtDestination.Text) < 1 Or CInt(txtDestination.Text) > oDOMOtherAlbum.documentElement.childNodes.Length Then
      
        If sCover = "SP" And InStr(sSize, "_2") Then
        
          MsgBox GetFromINI("frmCopyPages", "CopyPages5Spread") & " " & oDOMOtherAlbum.documentElement.childNodes.Length & ".", vbCritical, sAppName
          
        Else
        
          MsgBox GetFromINI("frmCopyPages", "CopyPages5") & " " & oDOMOtherAlbum.documentElement.childNodes.Length & ".", vbCritical, sAppName
          
        End If
        
        txtDestination.SetFocus
        txtDestination.SelStart = 0
        txtDestination.SelLength = Len(txtDestination.Text)
        Exit Sub
        
      End If
      
    Else
    
      Exit Sub
      
    End If
    
  End If
  
  'Switch left-right side if left side > right side:
  
  If InStr(txtSource.Text, "-") > 0 Then 'Multiple pages
  
    If CInt(Left(txtSource.Text, InStr(txtSource.Text, "-") - 1)) > CInt(mid(txtSource.Text, InStr(txtSource.Text, "-") + 1)) Then txtSource.Text = mid(txtSource.Text, InStr(txtSource.Text, "-") + 1) & "-" & Left(txtSource.Text, InStr(txtSource.Text, "-") - 1)
    
  End If
  
  Dim iRes As Integer
  
  iRes = vbNo
  
  If txtOtherAlbum.Text = vbNullString And IsDigit(txtSource.Text) Then
  
    If sCover = "SP" And InStr(sSize, "_2") Then
    
      iRes = MsgBox(GetFromINI("frmCopyPages", "CopyPages7aSpread") & " " & txtSource.Text & " " & GetFromINI("frmCopyPages", "CopyPages7bSpread") & " " & txtDestination.Text & GetFromINI("frmCopyPages", "CopyPages7cSpread"), vbYesNo, sAppName)
      
    Else
    
      iRes = MsgBox(GetFromINI("frmCopyPages", "CopyPages7a") & " " & txtSource.Text & " " & GetFromINI("frmCopyPages", "CopyPages7b") & " " & txtDestination.Text & GetFromINI("frmCopyPages", "CopyPages7c"), vbYesNo, sAppName)
      
    End If
    
  ElseIf txtOtherAlbum.Text = vbNullString Then
  
    If sCover = "SP" And InStr(sSize, "_2") Then
    
      iRes = MsgBox(GetFromINI("frmCopyPages", "CopyPages8aSpread") & " " & txtSource.Text & " " & GetFromINI("frmCopyPages", "CopyPages8bSpread") & " " & txtDestination.Text & " " & GetFromINI("frmCopyPages", "CopyPages8cSpread"), vbYesNo, sAppName)
      
    Else
    
      iRes = MsgBox(GetFromINI("frmCopyPages", "CopyPages8a") & " " & txtSource.Text & " " & GetFromINI("frmCopyPages", "CopyPages8b") & " " & txtDestination.Text & " " & GetFromINI("frmCopyPages", "CopyPages8c"), vbYesNo, sAppName)
      
    End If
    
  ElseIf IsDigit(txtSource.Text) Then
  
    If sCover = "SP" And InStr(sSize, "_2") Then
    
      iRes = MsgBox(GetFromINI("frmCopyPages", "CopyPages9a") & " " & txtSource.Text & " " & GetFromINI("frmCopyPages", "CopyPages9b") & " " & txtDestination.Text & " " & GetFromINI("frmCopyPages", "CopyPages9c") & " '" & txtOtherAlbum.Text & "'" & GetFromINI("frmCopyPages", "CopyPages9d"), vbYesNo, sAppName)
      
    Else
    
      iRes = MsgBox(GetFromINI("frmCopyPages", "CopyPages9aSpread") & " " & txtSource.Text & " " & GetFromINI("frmCopyPages", "CopyPages9bSpread") & " " & txtDestination.Text & " " & GetFromINI("frmCopyPages", "CopyPages9c") & " '" & txtOtherAlbum.Text & "'" & GetFromINI("frmCopyPages", "CopyPages9dSpread"), vbYesNo, sAppName)
      
    End If
    
  Else
  
    If sCover = "SP" And InStr(sSize, "_2") Then
    
      iRes = MsgBox(GetFromINI("frmCopyPages", "CopyPages10a") & " " & txtSource.Text & " " & GetFromINI("frmCopyPages", "CopyPages10b") & " " & txtDestination.Text & " " & GetFromINI("frmCopyPages", "CopyPages10c") & " '" & txtOtherAlbum.Text & "'" & GetFromINI("frmCopyPages", "CopyPages10d"), vbYesNo, sAppName)
      
    Else
    
      iRes = MsgBox(GetFromINI("frmCopyPages", "CopyPages10aSpread") & " " & txtSource.Text & " " & GetFromINI("frmCopyPages", "CopyPages10bSpread") & " " & txtDestination.Text & " " & GetFromINI("frmCopyPages", "CopyPages10c") & " '" & txtOtherAlbum.Text & "'" & GetFromINI("frmCopyPages", "CopyPages10dSpread"), vbYesNo, sAppName)
      
    End If
    
  End If
  
  If iRes = vbYes Then
  
    If txtOtherAlbum.Text = vbNullString Then frmPixbook.PushStack
    Me.Hide 'To prevent wrong CaptureWindow in SaveThumb
    
    If InStr(txtSource.Text, "-") > 0 Then 'Multiple pages
    
      Dim i As Integer
      
      For i = CInt(Left(txtSource.Text, InStr(txtSource.Text, "-") - 1)) To CInt(mid(txtSource.Text, InStr(txtSource.Text, "-") + 1))
      
        If txtOtherAlbum.Text = vbNullString Then
        
          PageCopy i, CInt(txtDestination.Text) + i - CInt(Left(txtSource.Text, InStr(txtSource.Text, "-") - 1))
          
        Else
        
          PageCopy2 i, CInt(txtDestination.Text) + i - CInt(Left(txtSource.Text, InStr(txtSource.Text, "-") - 1))
          
        End If
        
      Next
      
    Else 'One page
    
      If txtOtherAlbum.Text = vbNullString Then
      
        PageCopy CInt(txtSource.Text), CInt(txtDestination.Text)
        
      Else
      
        PageCopy2 CInt(txtSource.Text), CInt(txtDestination.Text)
        
      End If
      
    End If
    
    If txtOtherAlbum.Text = vbNullString Then frmPixbook.DOMChanged
    UnloadObject Me
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCopyPages:cmdOK_Click", Erl
  Resume Next
  
End Sub

Private Sub PageCopy2(ByVal iFrom As Integer, ByVal iTo As Integer)

  On Error GoTo Error_Handler
  
  Dim iMargin As Integer
  
  If bMargin And bRecto = False And iTo Mod 2 = 1 And iFrom Mod 2 = 0 Then
  
    If Not (InMargin(iFrom)) Then
    
      iMargin = iPgMgTw * fThmb
      
    End If
    
  ElseIf bMargin And bRecto = False And iTo Mod 2 = 0 And iFrom Mod 2 = 1 Then
  
    If Not (InMargin(iFrom)) Then
    
      iMargin = -iPgMgTw * fThmb
      
    End If
    
  End If
  
  ElemCopy oDOMAlbum.documentElement.childNodes(iFrom - 1), oDOMOtherAlbum.documentElement.childNodes(iTo - 1), iMargin, txtOtherAlbum.Text
  oDOMOtherAlbum.documentElement.setAttribute "PICCOUNT", frmPixbook.CntFigsInDom(oDOMOtherAlbum)
  
  'Back-up previous aml file:
  
  Dim fso As New FileSystemObject
  
  If fso.FileExists(txtOtherAlbum.Text) Then fso.CopyFile txtOtherAlbum.Text, txtOtherAlbum.Text & ".bak", True
  
  DOMSave oDOMOtherAlbum, txtOtherAlbum.Text
  
  'Delete thumbnail of copied page (to ensure consistency between aml and thumb, new updated thumb will automatically be created next time the other album is opened):
  If fso.FileExists(fso.GetFile(txtOtherAlbum.Text).ParentFolder & "\" & iTo & ".bmp") Then fso.DeleteFile fso.GetFile(txtOtherAlbum.Text).ParentFolder & "\" & iTo & ".bmp", True
  
  Set fso = Nothing
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCopyPages:PageCopy2", Erl
  Resume Next
  
End Sub
