VERSION 5.00
Begin VB.Form frmCreateStyle 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Creer stijl"
   ClientHeight    =   2985
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   3735
   Icon            =   "CreateStyle.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2985
   ScaleWidth      =   3735
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.CheckBox chkMargin 
      Caption         =   "Laat de fotokaders niet in de marge komen"
      Height          =   375
      Left            =   120
      TabIndex        =   11
      Top             =   2040
      Width           =   3495
   End
   Begin VB.TextBox txtBetweenFrames 
      Height          =   285
      Left            =   2880
      TabIndex        =   10
      Text            =   "0"
      Top             =   1680
      Width           =   735
   End
   Begin VB.TextBox txtFromSide 
      Height          =   285
      Left            =   2880
      TabIndex        =   8
      Text            =   "0"
      Top             =   1320
      Width           =   735
   End
   Begin VB.TextBox txtCols 
      Height          =   285
      Left            =   2880
      TabIndex        =   1
      Text            =   "1"
      Top             =   960
      Width           =   735
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   2
      Top             =   2520
      Width           =   1695
   End
   Begin VB.CommandButton cmdCancel 
      Caption         =   "Annuleren"
      Height          =   375
      Left            =   1920
      TabIndex        =   3
      Top             =   2520
      Width           =   1695
   End
   Begin VB.TextBox txtRows 
      Height          =   285
      Left            =   2880
      TabIndex        =   0
      Text            =   "1"
      Top             =   600
      Width           =   735
   End
   Begin VB.Label lblBetweenFrames 
      Alignment       =   1  'Right Justify
      Caption         =   "Aantal mm tussen de kaders:"
      Height          =   255
      Left            =   120
      TabIndex        =   9
      Top             =   1680
      Width           =   2655
   End
   Begin VB.Label lblFromSide 
      Alignment       =   1  'Right Justify
      Caption         =   "Aantal mm van de kant:"
      Height          =   255
      Left            =   120
      TabIndex        =   7
      Top             =   1320
      Width           =   2655
   End
   Begin VB.Label lblInfo 
      Caption         =   "Kies hieronder de gewenste verdeling van fotokaders:"
      Height          =   375
      Left            =   120
      TabIndex        =   6
      Top             =   120
      Width           =   3495
   End
   Begin VB.Label lblCols 
      Alignment       =   1  'Right Justify
      Caption         =   "Aantal kolommen:"
      Height          =   255
      Left            =   120
      TabIndex        =   5
      Top             =   960
      Width           =   2655
   End
   Begin VB.Label lblRows 
      Alignment       =   1  'Right Justify
      Caption         =   "Aantal rijen:"
      Height          =   255
      Left            =   120
      TabIndex        =   4
      Top             =   600
      Width           =   2655
   End
End
Attribute VB_Name = "frmCreateStyle"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

'***************
'* Local vars: *
'***************

'*********
'* Form: *
'*********

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCreateStyle:Form_Load", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCreateStyle:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  
  If IsNumeric(txtRows.Text) And IsNumeric(txtCols.Text) And IsNumeric(txtFromSide.Text) And IsNumeric(txtBetweenFrames.Text) Then
  
    If txtRows.Text > 0 And txtCols.Text > 0 And txtFromSide.Text >= 0 And txtBetweenFrames.Text >= 0 Then
    
      Dim iPicCnt As Integer
      Dim iRows   As Integer
      Dim iCols   As Integer
      Dim L       As Single 'From Left side
      Dim T       As Single 'From Top side
      Dim W       As Single 'Width between frames
      Dim H       As Single 'Height between frames
      Dim M       As Single 'Margin
      
      iPicCnt = txtRows.Text * txtCols.Text
      
      If iPicCnt >= iMaxPics Then
      
        MsgBox GetFromINI("frmPixbook", "MaxPic1") & iMaxPics & GetFromINI("frmPixbook", "MaxPic2"), vbExclamation, sAppName
        Exit Sub
        
      End If
      
      frmPixbook.DeletePage
      
      If frmPixbook.TabStrip1.SelectedItem.Key = "tab2" Then
      
        If sCover = "SP" Then
        
          If txtFromSide.Text > 0 And txtFromSide.Text < 10 Then txtFromSide.Text = 10
          
        Else
        
          If txtFromSide.Text > 0 And txtFromSide.Text < iBleedMm Then txtFromSide.Text = 2 * iBleedMm
          
        End If
        
        L = txtFromSide.Text * frmPixbook.frmPage(iPage).Width * iTwX / iPgWdMm
        T = txtFromSide.Text * frmPixbook.frmPage(iPage).Height * iTwY / iPgHtMm
        W = txtBetweenFrames.Text * frmPixbook.frmPage(iPage).Width * iTwX / iPgWdMm
        H = txtBetweenFrames.Text * frmPixbook.frmPage(iPage).Height * iTwY / iPgHtMm
        M = (iPgMgMm - iBleedMm) * frmPixbook.frmPage(iPage).Width * iTwX / iPgWdMm
        
      ElseIf CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
      
        If sCover = "SP" Then
        
          If txtFromSide.Text > 0 And txtFromSide.Text < 20 Then txtFromSide.Text = 20
          
        Else
        
          If txtFromSide.Text > 0 And txtFromSide.Text < 2 * iBleedMm Then txtFromSide.Text = 4 * iBleedMm
          
        End If
        
        L = txtFromSide.Text * frmPixbook.frmCvr(iCover).Width * iTwX / iCvrWdMm
        T = txtFromSide.Text * frmPixbook.frmCvr(iCover).Height * iTwY / iCvrHtMm
        W = txtBetweenFrames.Text * frmPixbook.frmCvr(iCover).Width * iTwX / iCvrWdMm
        H = txtBetweenFrames.Text * frmPixbook.frmCvr(iCover).Height * iTwY / iCvrHtMm
        
        If sCover = "WP" Then
        
          M = (iPgMgMm - iBleedMm) * frmPixbook.frmCvr(iCover).Width * iTwX / iCvrWdMm
          
        Else
        
          M = 0
          
        End If
        
      End If
      
      If txtRows.Text = 1 And txtCols.Text = 1 Then
      
        W = 0
        H = 0
        
      End If
      
      For iRows = 0 To txtRows.Text - 1
      
        For iCols = 0 To txtCols.Text - 1
        
          If frmPixbook.TabStrip1.SelectedItem.Key = "tab2" Then
          
            If bMargin And M <> 0 And chkMargin.Value = 1 And iPage Mod 2 = 1 Then
            
              cmdPicture vbNullString, M + L + iCols * (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            ElseIf bMargin And M <> 0 And chkMargin.Value = 1 And iPage Mod 2 = 0 Then
            
              cmdPicture vbNullString, L + iCols * (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            Else
            
              cmdPicture vbNullString, L + iCols * (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmPage(iPage).Width * iTwX - 2 * L - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmPage(iPage).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            End If
            
          ElseIf CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
          
            If bMargin And M <> 0 And chkMargin.Value = 1 And iCover Mod 2 = 1 Then
            
              cmdPicture vbNullString, M + L + iCols * (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            ElseIf bMargin And M <> 0 And chkMargin.Value = 1 And iCover Mod 2 = 0 Then
            
              cmdPicture vbNullString, L + iCols * (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - M - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            Else
            
              cmdPicture vbNullString, L + iCols * (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - (txtCols.Text - 1) * W) / txtCols.Text + iCols * W, T + iRows * (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text + iRows * H, (frmPixbook.frmCvr(iCover).Width * iTwX - 2 * L - (txtCols.Text - 1) * W) / txtCols.Text, (frmPixbook.frmCvr(iCover).Height * iTwY - 2 * T - (txtRows.Text - 1) * H) / txtRows.Text
              
            End If
            
          End If
          
        Next
        
      Next
      
      Me.Hide
      
    End If
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmCreateStyle:cmdOK_Click", Erl
  Resume Next
  
End Sub
