VERSION 5.00
Begin VB.Form frmTransparency 
   AutoRedraw      =   -1  'True
   BorderStyle     =   1  'Fixed Single
   ClientHeight    =   1335
   ClientLeft      =   45
   ClientTop       =   375
   ClientWidth     =   4335
   Icon            =   "Transparency.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   1335
   ScaleWidth      =   4335
   ShowInTaskbar   =   0   'False
   StartUpPosition =   2  'CenterScreen
   Begin VB.Frame frmTransp 
      Height          =   615
      Left            =   120
      TabIndex        =   2
      Top             =   120
      Width           =   4095
      Begin VB.HScrollBar sbTransparency 
         Height          =   255
         Left            =   1320
         Max             =   10
         TabIndex        =   3
         Top             =   240
         Width           =   1455
      End
      Begin VB.Label lblOpaque 
         Alignment       =   1  'Right Justify
         Height          =   255
         Left            =   120
         TabIndex        =   5
         Top             =   240
         Width           =   1095
      End
      Begin VB.Label lblTransparent 
         Height          =   255
         Left            =   2880
         TabIndex        =   4
         Top             =   240
         Width           =   1095
      End
   End
   Begin VB.CommandButton cmdCancel 
      Height          =   375
      Left            =   2280
      TabIndex        =   0
      Top             =   840
      Width           =   1935
   End
   Begin VB.CommandButton cmdOK 
      Default         =   -1  'True
      Height          =   375
      Left            =   120
      TabIndex        =   1
      Top             =   840
      Width           =   1935
   End
End
Attribute VB_Name = "frmTransparency"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit

Private Sub Form_Load()

  On Error GoTo Error_Handler
  If sPartner <> "asadventure" Then Me.Icon = LoadPicture(App.Path & IIf(Right(App.Path, 1) = "\", vbNullString, "\") & "icon32.ico")
  Me.Caption = frmTransparency_Caption
  frmTransp.Caption = frmTransparency_frmTransp_Caption & " (0%)"
  lblOpaque.Caption = frmTransparency_lblOpaque_Caption
  lblTransparent.Caption = frmTransparency_lblTransparent_Caption
  cmdOK.Caption = frmTransparency_cmdOK_Caption
  cmdCancel.Caption = frmTransparency_cmdCancel_Caption
  
  If CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
  
    If frmPixbook.picCvr(iPicIdx).Tag <> vbNullString Then sbTransparency.Value = CInt(frmPixbook.picCvr(iPicIdx).Tag) / 10
    
  Else
  
    If frmPixbook.picPage(iPicIdx).Tag <> vbNullString Then sbTransparency.Value = CInt(frmPixbook.picPage(iPicIdx).Tag) / 10
    
  End If
  
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTransparency:Form_Load", Erl
  Resume Next
  
End Sub

Private Sub Busy()

  On Error GoTo Error_Handler
  Screen.MousePointer = vbHourglass
  sbTransparency.Enabled = False
  cmdOK.Enabled = False
  cmdCancel.Enabled = False
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTransparency:Busy", Erl
  Resume Next
  
End Sub

Private Sub NotBusy()

  On Error GoTo Error_Handler
  cmdOK.Enabled = True
  cmdCancel.Enabled = True
  sbTransparency.Enabled = True
  Screen.MousePointer = vbDefault
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTransparency:NotBusy", Erl
  Resume Next
  
End Sub

'*******************
'* CommandButtons: *
'*******************

Private Sub cmdCancel_Click()

  On Error GoTo Error_Handler
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTransparency:cmdCancel_Click", Erl
  Resume Next
  
End Sub

Private Sub cmdOK_Click()

  On Error GoTo Error_Handler
  
  Dim iPicCnt As Integer
  Dim oElem   As MSXML.IXMLDOMElement
  
  If frmPixbook.TabStrip1.SelectedItem.Key = "tab2" Then
  
    For Each oElem In oDOMAlbum.documentElement.childNodes((iPicIdx - 1) \ iMaxPics).childNodes
    
      If oElem.baseName = "PICTURE" Then
      
        iPicCnt = iPicCnt + 1
        If iPicCnt = ((iPicIdx - 1) Mod iMaxPics) + 1 Then Exit For
        
      End If
      
    Next
    
    Busy
    frmPixbook.PushStack
    oElem.setAttribute "TRANSPARENCY", sbTransparency.Value * 10
    frmPixbook.picPage(iPicIdx).Tag = oElem.getAttribute("TRANSPARENCY")
    
'    If IndexInArrayPicRot(iPicIdx) Then
    
'      frmPixbook.UnloadPic iPicIdx
'      CreatePic oElem, iPicIdx, False, True
      
'    Else
    
      If frmPixbook.frmPicPage(iPicIdx).Tag = "S" Then ClearDropShadow frmPixbook.frmPicPage(iPicIdx), iPicIdx
      DrawFadePicture iPicIdx
      If frmPixbook.frmPicPage(iPicIdx).Tag = "S" Then DrawDropShadow frmPixbook.frmPicPage(iPicIdx)
      
'    End If
    
    frmPixbook.DOMChanged
    NotBusy
    
  ElseIf CInt(Right(frmPixbook.TabStrip1.SelectedItem.Key, 1)) > 2 Then
  
    Dim oList As MSXML.IXMLDOMNodeList
    
    If sCover = "SP" Then
    
      Set oList = oDOMAlbum.documentElement.childNodes(iPages).childNodes
      
    Else
    
      Set oList = oDOMCover.documentElement.childNodes((iPicIdx - 1) \ iMaxPics).childNodes
      
    End If
    
    For Each oElem In oList
    
      If oElem.baseName = "PICTURE" Then
      
        iPicCnt = iPicCnt + 1
        If iPicCnt = ((iPicIdx - 1) Mod iMaxPics) + 1 Then Exit For
        
      End If
      
    Next
    
    Busy
    frmPixbook.PushStack
    oElem.setAttribute "TRANSPARENCY", sbTransparency.Value * 10
    frmPixbook.picCvr(iPicIdx).Tag = oElem.getAttribute("TRANSPARENCY")
    
'    If IndexInArrayPicRotCvr(iPicIdx) Then
    
'      frmPixbook.UnloadPicCvr iPicIdx
'      CreatePicCvr oElem, iPicIdx, True
      
'    Else
    
      If frmPixbook.frmPicCvr(iPicIdx).Tag = "S" Then ClearDropShadow frmPixbook.frmPicCvr(iPicIdx), iPicIdx
      DrawFadePicture iPicIdx
      If frmPixbook.frmPicCvr(iPicIdx).Tag = "S" Then DrawDropShadow frmPixbook.frmPicCvr(iPicIdx)
      
'    End If
    
    frmPixbook.DOMChanged
    NotBusy
    Set oList = Nothing
    
  End If
  
  Set oElem = Nothing
  UnloadObject Me
  Exit Sub
  
Error_Handler:
  HandleError Err, "frmTransparency:cmdOK_Click", Erl
  Resume Next
  
End Sub

'**************
'* ScrollBar: *
'**************

Private Sub sbTransparency_Change()

  frmTransp.Caption = frmTransparency_frmTransp_Caption & " (" & 10 * sbTransparency.Value & "%)"
  
End Sub

Private Sub sbTransparency_Scroll()

  frmTransp.Caption = frmTransparency_frmTransp_Caption & " (" & 10 * sbTransparency.Value & "%)"
  
End Sub
